View Issue Details

IDProjectCategoryView StatusLast Update
0013406LazarusLCLpublic2011-02-08 22:11
ReporterKrzysztof DibowskiAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013406: TSplitter.ResizeStyle doesn't work
DescriptionHi,
When I change ResizeStyle property to any of rsPattern, rsLine or rsUpdate, Splitter is always keep this same - repaint control "on live".
TagsNo tags attached.
Fixed in Revision19213,26447
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-04-04 12:01

manager   ~0026589

Last edited: 2009-04-04 12:02

I have implemented different drawing for different ResizeStyle. But it does not works as in delphi. Delphi draws pattern and line for splitter outside paint event which is imposible (at least for now) for lazarus.

Do you need to turn off control resize before "mouse up" or you just need another paint style?

Marc Weustink

2009-04-04 16:11

administrator   ~0026601

Delphi way of offline painting is broken in delphi too (try resizing with hints turned on) . IMO we don't need to implement this behaviour

Krzysztof Dibowski

2009-04-12 14:54

reporter   ~0026717

I just only need to turn off control resize before "mouse up"

Krzysztof Dibowski

2009-10-12 22:11

reporter   ~0031280

Sorry that so late. I forgot about this topic. Currently, all styles differ only in appearance of splitter when you change his position. Each of the style changes the control size and repainting when you moving the splitter which causes an immediate increase in CPU usage

Paul Ishenin

2010-07-03 17:30

manager   ~0038982

Please test and close if ok.

Krzysztof Dibowski

2011-02-08 22:11

reporter   ~0045909

Sorry for delay. I see that TSplitter have now new resize style rsLine and this is exactly what I wanted.

Issue History

Date Modified Username Field Change
2009-03-27 19:55 Krzysztof Dibowski New Issue
2009-03-27 19:55 Krzysztof Dibowski Widgetset => Win32
2009-04-04 12:01 Paul Ishenin Fixed in Revision => 19213
2009-04-04 12:01 Paul Ishenin LazTarget => 1.0
2009-04-04 12:01 Paul Ishenin Note Added: 0026589
2009-04-04 12:01 Paul Ishenin Status new => feedback
2009-04-04 12:01 Paul Ishenin Target Version => 1.0.0
2009-04-04 12:02 Paul Ishenin Note Edited: 0026589
2009-04-04 16:11 Marc Weustink Note Added: 0026601
2009-04-12 14:54 Krzysztof Dibowski Note Added: 0026717
2009-04-12 16:08 Paul Ishenin Status feedback => acknowledged
2009-10-12 22:11 Krzysztof Dibowski Note Added: 0031280
2010-07-02 18:36 Paul Ishenin Projection none => major rework
2010-07-03 09:17 Paul Ishenin Status acknowledged => assigned
2010-07-03 09:17 Paul Ishenin Assigned To => Paul Ishenin
2010-07-03 17:30 Paul Ishenin Fixed in Revision 19213 => 19213,26447
2010-07-03 17:30 Paul Ishenin Status assigned => resolved
2010-07-03 17:30 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-07-03 17:30 Paul Ishenin Resolution open => fixed
2010-07-03 17:30 Paul Ishenin Note Added: 0038982
2011-02-08 22:11 Krzysztof Dibowski Status resolved => closed
2011-02-08 22:11 Krzysztof Dibowski Note Added: 0045909